%define MAGIC 0xE85250D6
%define ARCH  0x0
%define LEN   (multiboot_end - multiboot_start)

section .multiboot
multiboot_start:
dd MAGIC
dd ARCH
dd LEN
dd -(MAGIC + ARCH + LEN)
multiboot_end:

section .text
global _start
_start:
   mov byte [0xb8000], 'X'
   mov byte [0xb8001], 0x0f

   cli
   jmp $
